# Update numbers for email

Set the numbers for an email.

Endpoint: PUT /v3/projects/{projectId}/services/{serviceId}/emails/{email}
Version: 3.1
Security: BasicAuth, OAuth2

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The `projectId` is a required parameter you must include when making any API calls. You can find your project ID on your [Build dashboard](https://dashboard.sinch.com).

  - `serviceId` (string, required)
    The serviceId containing the email you want to work with.

  - `email` (string, required)
    The email you want to work with.

## Request fields (application/json):

  - `phoneNumbers` (array, required)
    List of numbers

  - `phoneNumbers.number` (string)
    A phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format, including the leading '+'.
    Example: +15551235656

  - `phoneNumbers.permissions` (string)
    Allows you to set permissions for sending and receiving faxes to this email/phone number combination. Default value is `both`.
    Enum: "both", "send", "receive"

## Response 200:

  - `200` (unknown)
    The added email

## Response 200 fields (application/json):

  - `email` (string, required)
    Example: user@domain.com

  - `phoneNumbers` (array, required)
    Numbers you want to associate with this email.

  - `phoneNumbers.number` (string)
    A phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format, including the leading '+'.
    Example: +15551235656

  - `phoneNumbers.permissions` (string)
    Allows you to set permissions for sending and receiving faxes to this email/phone number combination. Default value is `both`.
    Enum: "both", "send", "receive"

  - `projectId` (string)
    The `Id` of the project associated with the call.
    Example: ae00f005-e392-44dc-b3f5-a657a2684dg3

  - `createdAt` (string)
    The date and time the email configuration was created.

  - `updatedAt` (string)
    The date and time the email configuration was last updated.

